﻿<Window x:Class="WPFGridSpan.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:WPFGridSpan"
        mc:Ignorable="d"
        Title="MainWindow" Height="450" Width="800">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition />
            <ColumnDefinition />
            <ColumnDefinition />
            <ColumnDefinition />
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
            <RowDefinition />
        </Grid.RowDefinitions>
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="0" Grid.Row="0" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="1" Grid.Row="0" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="2" Grid.Row="0" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="3" Grid.Row="0" />

        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="0" Grid.Row="1" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="0" Grid.Row="2" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="0" Grid.Row="3" />

        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="1" Grid.Row="1" Grid.ColumnSpan="2"/>
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="3" Grid.Row="1" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="1" Grid.Row="2" Grid.RowSpan="2" />
        <Border BorderBrush="Black" BorderThickness="1" Grid.Column="2" Grid.Row="2" Grid.ColumnSpan="2" Grid.RowSpan="2" />
        
        <TextBlock Grid.Column="0" Grid.Row="0" HorizontalAlignment="Center" VerticalAlignment="Center" Text="" />
        <TextBlock Grid.Column="1" Grid.Row="0" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列1" />
        <TextBlock Grid.Column="2" Grid.Row="0" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列2" />
        <TextBlock Grid.Column="3" Grid.Row="0" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列3" />
        
        <TextBlock Grid.Column="0" Grid.Row="1" HorizontalAlignment="Center" VerticalAlignment="Center" Text="行1" />
        <TextBlock Grid.Column="0" Grid.Row="2" HorizontalAlignment="Center" VerticalAlignment="Center" Text="行2" />
        <TextBlock Grid.Column="0" Grid.Row="3" HorizontalAlignment="Center" VerticalAlignment="Center" Text="行3" />
        
        <TextBlock Grid.Column="1" Grid.Row="1" Grid.ColumnSpan="2" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列1-2行1" />
        <TextBlock Grid.Column="3" Grid.Row="1" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列3行1" />
        <TextBlock Grid.Column="1" Grid.Row="2" Grid.RowSpan="2" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列1行1-2" />
        <TextBlock Grid.Column="2" Grid.Row="2" Grid.ColumnSpan="2" Grid.RowSpan="2" HorizontalAlignment="Center" VerticalAlignment="Center" Text="列2-3行2-3" />
    </Grid>
</Window>
